> ## Documentation Index
> Fetch the complete documentation index at: https://developers.aimtell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All API Push Campaigns

> Fetches All API Push Campaigns



## OpenAPI

````yaml /api-reference/push-openapi.json get /prod/api-campaigns/{id}
openapi: 3.1.0
info:
  title: push-notifications
  version: '1.1'
servers:
  - url: https://api.aimtell.com
security:
  - sec0: []
tags:
  - name: One-Off Notifications
    description: Send individual push notifications
  - name: Welcome Notifications
    description: Welcome notification campaigns
  - name: Triggered Campaigns
    description: Event-triggered push notification campaigns
  - name: RSS Campaigns
    description: RSS feed-based push notification campaigns
  - name: Manual Campaigns
    description: Manually created push notification campaigns
  - name: API Campaigns
    description: API-triggered push notification campaigns
paths:
  /prod/api-campaigns/{id}:
    get:
      tags:
        - API Campaigns
      summary: Get All API Push Campaigns
      description: Fetches All API Push Campaigns
      operationId: get-all-api-campaigns
      parameters:
        - name: id
          in: path
          description: Site ID
          required: true
          schema:
            type: string
        - name: limit
          in: query
          description: Maximum number of results to return per page.
          schema:
            type: string
        - name: skip
          in: query
          description: Number of results to skip for pagination (offset).
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    - id: 33677790
                      objectId: 5baa724fd38f2
                      owner_uid: 76cedd11b19e
                      campaignId: null
                      title: Hey there
                      body: Nice push
                      link: google.com
                      idSite: 2459
                      customIcon: >-
                        https://s3.amazonaws.com/siteicons.aimtell.com/icon_2459_1532715035.jpg
                      customImage: ''
                      segmentId: null
                      alias: null
                      uids: 03a131fb-ca3e-0147-d846-c986c8d1bdb8
                      processed: 1
                      response: '{"result":"success","count":1,"bounced":0}'
                      createdAt: '2018-09-25 17:37:19'
                      updatedAt: '2018-09-25 17:37:21'
                    - id: 33677791
                      objectId: 5baa72502ea9d
                      owner_uid: 76cedd11b19e
                      campaignId: null
                      title: Wow
                      body: That's awesome man
                      link: google.com
                      idSite: 2459
                      customIcon: >-
                        https://s3.amazonaws.com/siteicons.aimtell.com/icon_2459_1532715035.jpg
                      customImage: ''
                      segmentId: null
                      alias: null
                      uids: 03a131fb-ca3e-0147-d846-c986c8d1bdb8
                      processed: 1
                      response: '{"result":"success","count":1,"bounced":0}'
                      createdAt: '2018-09-25 17:37:20'
                      updatedAt: '2018-09-25 17:37:21'
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Result:
                  value:
                    result: error
                    message: Invalid token.
                    error_code: 71831
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      name: X-Authorization-Api-Key
      in: header
      x-default: ''

````